<?php

declare(strict_types=1);

namespace Dedi\SyliusEcotaxPlugin\EventListener;

use Dedi\Contracts\SyliusPluginSettings\SettingsProviderInterface;
use Knp\Menu\Util\MenuManipulator;
use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;
use Webmozart\Assert\Assert;

final class EcotaxTypeAdminMenuListener
{
    public function __construct(private SettingsProviderInterface $settingsProvider)
    {
    }

    public function __invoke(MenuBuilderEvent $event): void
    {
        $settings = $this->settingsProvider->provide();

        if (!$settings->isEnabled()) {
            return;
        }

        $menu = $event->getMenu();

        $configuration = $menu->getChild('configuration');

        if (null === $configuration) {
            return;
        }

        $configuration
            ->addChild('ecotax_type', ['route' => 'dedi_ecotax_admin_ecotax_type_index'])
            ->setLabel('dedi_ecotax.ui.ecotax_type')
            ->setLabelAttribute('icon', 'tags')
        ;
        $ecotaxMenu = $configuration->getChild('ecotax_type');

        Assert::notNull($ecotaxMenu);
        $manipulator = new MenuManipulator();
        $manipulator->moveToPosition($ecotaxMenu, 10);
    }
}
